<!-- <nb-card @myInsertRemoveTrigger> -->
<nb-card>
  <nb-card-header>
  <h5>{{ getHeaderTaskList() }}</h5>
  </nb-card-header>

  <nb-card-body>
    <div class="buttons-row mb-2 row">
      <div class="col-sm-6">
        <button *ngIf="moduleName == 'supplier'" hero nbButton status="primary" size="small" (click)="createNewTask()">
          <i class="fa fa-plus"></i>&nbsp;&nbsp;Create New Task
        </button>
        <!-- <button hero nbButton status="primary" size="small" (click)="test()">
          <i class="fa fa-plus"></i>&nbsp;&nbsp;Reload
        </button> -->
      </div>
        
      <div class="col-sm-6 text-right">
        <!-- <button class="text-right" hero nbButton status="success" size="small" (click)="createNewProduct()" [disabled]="util.isDisabledButton()">
          <i class="fa fa-plus"></i>&nbsp;&nbsp;Create New Product
        </button> -->
      </div>      
    </div>

    <table id="dtTable" #dtElement datatable [dtOptions]="util.GetDtOptions(this,{ order: [[4, 'desc']] })" [dtTrigger]="dtTrigger" class="main table-striped table-bordered nowrap">
    <!-- <table id="dtTable" class="main table-striped table-bordered"> -->
      <thead>
        <tr>
          <!-- <th class="text-center" scope="col" width="20px">
            <input type="checkbox" status="primary" name="ALL_CHECKBOX" (click)="util.CheckAllItem($event)" [checked]="util.isCheckedAll()" />
          </th> -->
          <th class="text-center" width="20px" name="#">#</th>
          <th width="280px" name="id">Id</th>
          <th width="280px" name="processDefinitionId">process Definition Id</th>
          <th name="name">Name</th>
          <th width="150px" name="created">Created</th>
        </tr>
      </thead>
      <tbody>
        <!-- <tr *ngFor="let value of viewModel" (click)="util.CheckItem($event,false)"> -->
        <tr #row *ngFor="let value of viewModel; let i = index">
          <!-- <td><input type="checkbox" status="primary" name="CHECKBOX" [value]="value.id" /></td> -->
          <td class="text-center">{{ row.rowIndex }}</td>
          <td><a class="custom" href="javascript:void(0)" (click)="createNewProduct(value)" >{{ value.id }}</a></td>
          <td>{{ value.processDefinitionId }}</td>
          <td>{{ value.name }}</td>
          <td>{{ value.created | date:"yyyy-MM-dd HH:mm:ss" }}</td>
        </tr>
      </tbody>
    </table>
  </nb-card-body>

</nb-card>
